@mixin inline-styles {
  @include gl-mt-1;
  @include gl-ml-0;
  @include gl-align-self-start;
  @include gl-static;
  @include gl-h-auto;
  @include gl-mr-0;
}

.gl-form-checkbox,
.gl-form-checkbox-group {
  @include gl-line-height-normal;
}

.gl-form-checkbox {
  @include gl-mr-5;
  @include gl-mb-3;
  @include gl-font-base;
  @include gl-text-gray-900;

  &.form-check {
    @include gl-display-flex;
    @include gl-pl-0;
  }

  &.form-check-inline {
    @include gl-display-inline-flex;
    @include gl-align-items-center;
  }

  .form-check-input {
    @include inline-styles;
  }

  .form-check-label {
    @include gl-pl-3;
    @include gl-line-height-normal;
  }

  .form-check-input:disabled,
  .form-check-input:disabled ~ .form-check-label {
    @include gl-cursor-not-allowed;
    @include gl-text-gray-700;
  }

  .help-text {
    @include gl-mt-2;
    @include gl-text-gray-700;
    @include gl-mb-0;
    @include gl-font-base;
  }
}
